Bug 1010537 - SELinux is preventing /usr/sbin/NetworkManager from using the 'setsched' accesses on a process.
SELinux is preventing /usr/sbin/NetworkManager from using the 'setsched' acce...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:844cd8c5f9acb194679019d5bcb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-21 05:32 EDT by Ville-Pekka Vainio
Modified: 2013-09-29 20:34 EDT (History)
10 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-74.8.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-29 20:34:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville-Pekka Vainio 2013-09-21 05:32:47 EDT
Description of problem:
SELinux is preventing /usr/sbin/NetworkManager from using the 'setsched' accesses on a process.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that NetworkManager should be allowed setsched access on processes labeled kernel_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep NetworkManager /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:NetworkManager_t:s0
Target Context                system_u:system_r:kernel_t:s0
Target Objects                 [ process ]
Source                        NetworkManager
Source Path                   /usr/sbin/NetworkManager
Port                          <Tuntematon>
Host                          (removed)
Source RPM Packages           NetworkManager-0.9.8.2-8.git20130709.fc19.i686
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-74.3.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.1-200.fc19.i686 #1 SMP Sat
                              Sep 14 15:30:55 UTC 2013 i686 i686
Alert Count                   1
First Seen                    2013-09-21 12:27:23 EEST
Last Seen                     2013-09-21 12:27:23 EEST
Local ID                      8508c202-e91b-435c-a268-c9e0a5c10976

Raw Audit Messages
type=AVC msg=audit(1379755643.949:401): avc:  denied  { setsched } for  pid=373 comm="NetworkManager" scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:system_r:kernel_t:s0 tclass=process


type=SYSCALL msg=audit(1379755643.949:401): arch=i386 syscall=socketcall success=yes exit=EPIPE a0=10 a1=bfda9bc0 a2=b72b6000 a3=0 items=0 ppid=1 pid=373 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=NetworkManager exe=/usr/sbin/NetworkManager subj=system_u:system_r:NetworkManager_t:s0 key=(null)

Hash: NetworkManager,NetworkManager_t,kernel_t,process,setsched

Additional info:
reporter:       libreport-2.1.7
hashmarkername: setroubleshoot
kernel:         3.11.1-200.fc19.i686
type:           libreport
Comment 1 Rick 2013-09-22 10:40:24 EDT
Description of problem:
service NetworkManager stop
service wpa_supplicant restart
service NetworkManager start

Additional info:
reporter:       libreport-2.1.7
hashmarkername: setroubleshoot
kernel:         3.11.1-200.fc19.i686.PAE
type:           libreport
Comment 2 Daniel Walsh 2013-09-23 15:33:00 EDT
3a4f6a03a59c1a054808fa8411fada836c5f2842 fixes this in git
Comment 3 Lukas Vrabec 2013-09-24 03:25:30 EDT
back ported.
Comment 4 Fedora Update System 2013-09-26 05:42:33 EDT
selinux-policy-3.12.1-74.8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-74.8.fc19
Comment 5 Fedora Update System 2013-09-26 20:47:34 EDT
Package selinux-policy-3.12.1-74.8.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-74.8.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17739/selinux-policy-3.12.1-74.8.fc19
then log in and leave karma (feedback).
Comment 6 striker.pena 2013-09-27 03:11:32 EDT
Description of problem:
I closed the notebook. Logged back in. I had the file browser open and a terminal.

Additional info:
reporter:       libreport-2.1.7
hashmarkername: setroubleshoot
kernel:         3.11.1-200.fc19.x86_64
type:           libreport
Comment 7 Dan Ziemba 2013-09-28 23:53:45 EDT
Description of problem:
This happens after every boot.  It started after a large set of updates including the move from Linux 3.10 to 3.11.

Additional info:
reporter:       libreport-2.1.7
hashmarkername: setroubleshoot
kernel:         3.11.1-200.fc19.x86_64
type:           libreport
Comment 8 Fedora Update System 2013-09-29 20:34:58 EDT
selinux-policy-3.12.1-74.8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.